Get the jobs of the given type.
GET/api/v4/jobs/type/:job_type
Get a page of jobs of the given type. Use the query parameters to modify the behaviour of this endpoint.
Minimum server version: 4.1
Permissions
Must have permission to read the path job_type, using the same mapping as GET /api/v4/jobs:
read_data_retention_job—data_retentionread_compliance_export_job—message_exportread_elasticsearch_post_indexing_job—elasticsearch_post_indexingread_elasticsearch_post_aggregation_job—elasticsearch_post_aggregationread_ldap_sync_job—ldap_syncread_jobs—migrations,plugins,product_notices,expiry_notify,active_users,import_process,import_delete,export_process,export_delete,cloud,mobile_session_metadata,extract_contentmanage_system—access_control_sync
When job_type is access_control_sync and query parameter team_id is set to a valid team GUID, team admins with manage_team_access_rules on that team may list jobs scoped to that team without manage_system. When team_id is set, results include only jobs whose stored data matches that team for the requested type.
Request
Responses
- 200
- 400
- 401
- 403
Job list retrieval successful
Invalid or missing parameters in URL or request body
No access token provided
Do not have appropriate permissions